loglikeSTnames {SpatioTemporal} | R Documentation

## Create Names for Log-likelihood Parameters for STmodel objects

### Description

Function that creates a character vector with names for the parameters expected by log-likelihood functions. Names are created by extracting names from the `STmodel` structure.

### Usage

    loglikeSTnames(STmodel, all = TRUE)

### Arguments

`STmodel` | `STmodel` object for which parmeter names are to be computed.
`all` | compute all parameter names (regression and covariance) or only covariance parameters.

### Value

Returns names of the parameters expected by the log-likelihood functions. Regerssion parameter names start with gamma/alpha (spatio-temporal/geographic covariate), followed by name of beta-field, and the name of covariate. The covariance parameters follow, log (reminder that parameter is log-scale), covariance parameter name, name of field, type of covariance function.

### Author(s)

Johan Lindstrom

### See Also

Other likelihood utility functions: `calc.mu.B`, `loglikeSTdim`, `loglikeSTgetPars`

### Examples

    ##load the data
    data(mesa.model)

    ##Find out in which order parameters should be given
    loglikeSTnames(mesa.model)
    ##...and for only the covariance parameters.
    loglikeSTnames(mesa.model, FALSE)

[Package SpatioTemporal version 1.1.9.1 Index]